
From: Benjamin Herrenschmidt <benh@kernel.crashing.org>

From: Bryan Rittmeyer <bryan@staidm.org>

This patch adds preliminary support for the IBM PowerPC 750GX.  In summary
this part is a PPC750FX ramped to 1 GHz with a 1MB 4-way L2 and more
advanced I/O pipelining.  It is beginning to appear in embedded systems and
was rumored to be under evaluation inside Apple.  Tested on PVR 70020101;
please merge.

http://www-3.ibm.com/chips/techlib/techlib.nsf/products/PowerPC_750GX_Microprocessor



---

 25-akpm/arch/ppc/kernel/cputable.c |   10 +++++++++-
 1 files changed, 9 insertions(+), 1 deletion(-)

diff -puN arch/ppc/kernel/cputable.c~ibm-powerpc-750gx-support arch/ppc/kernel/cputable.c
--- 25/arch/ppc/kernel/cputable.c~ibm-powerpc-750gx-support	2004-05-15 23:36:46.921584352 -0700
+++ 25-akpm/arch/ppc/kernel/cputable.c	2004-05-15 23:36:46.927583440 -0700
@@ -209,7 +209,15 @@ struct cpu_spec	cpu_specs[] = {
 	32, 32,
 	__setup_cpu_750fx
     },
-
+    {	/* 750GX */
+    	0xffff0000, 0x70020000, "750GX",
+    	CPU_FTR_SPLIT_ID_CACHE | CPU_FTR_CAN_DOZE | CPU_FTR_USE_TB |
+	CPU_FTR_L2CR | CPU_FTR_TAU | CPU_FTR_HPTE_TABLE | CPU_FTR_CAN_NAP |
+	CPU_FTR_DUAL_PLL_750FX | CPU_FTR_HAS_HIGH_BATS,
+	COMMON_PPC,
+	32, 32,
+	__setup_cpu_750fx
+    },
     {	/* 740/750 (L2CR bit need fixup for 740) */
     	0xffff0000, 0x00080000, "740/750",
 	CPU_FTR_COMMON |

_
